Page MenuHomePhabricator

Page source is no longer trimmed from trailing whitespaces on save
Closed, ResolvedPublic

Description

In past, when page has been saved starting and/or ending with whitespace, they have been trimmed. This behavior is no longer. That causes incorrect rendering (empty paragraphs) in cases like the one described here: https://commons.wikimedia.org/w/index.php?diff=80945430 .

Bug 34957 and bug 17988 may be related (they are both about (not) trimming the whitespaces).


Version: unspecified
Severity: normal

Details

Reference
bz41169

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:59 AM
bzimport set Reference to bz41169.
bzimport added a subscriber: Unknown Object (MLST).
Danny_B created this task.Oct 18 2012, 1:08 PM

Undoubtedly there is only one recent change that could cause a regression like this.

Fixed in I75eb1c4b

sumanah wrote:

Fix merged.

Denny added a comment.Aug 22 2013, 2:54 PM

Closed older resolved bugs as verified.